This queue is for tickets about the CPAN CPAN distribution.

Report information
The Basics
Id:
86915
Status:
resolved
Priority:
Low/Low
Queue:

People
Owner:
Nobody in particular
Requestors:
'spro^^*%*^6ut# [...] &$%*c
Cc:
AdminCc:

BugTracker
Severity:
(no value)
Broken in:
2.00
Fixed in:
2.05



With current bleadperl (v5.19.1-412-gbf26141, though I assume that is unrelated), I get an infinite loop if I run ‘make Devel::Trepan’: $ perl5.19.2 -S pmvers CPAN 2.00 $ cpan5.19.2 cpan shell -- CPAN exploration and modules installation (v2.00) Enter 'h' for help.
Show quoted text
cpan> make Devel::Trepan
CPAN: Time::HiRes loaded ok (v1.9725) CPAN: Net::FTP loaded ok (v2.77) Fetching with Net::FTP: ftp://mirror.xmission.com/CPAN/authors/01mailrc.txt.gz Reading '/Users/sprout/.cpan/sources/authors/01mailrc.txt.gz' CPAN: Compress::Zlib loaded ok (v2.061) ............................................................................DONE Fetching with Net::FTP: ftp://mirror.xmission.com/CPAN/modules/02packages.details.txt.gz Reading '/Users/sprout/.cpan/sources/modules/02packages.details.txt.gz' Database was generated on Fri, 12 Jul 2013 21:29:04 GMT HTTP::Date not available ............................................................................DONE Fetching with Net::FTP: ftp://mirror.xmission.com/CPAN/modules/03modlist.data.gz Reading '/Users/sprout/.cpan/sources/modules/03modlist.data.gz' ............................................................................DONE Running make for module 'Devel::Trepan' Running make for R/RO/ROCKY/Devel-Trepan-0.50.tar.gz CPAN: Digest::SHA loaded ok (v5.85) Checksum for /Users/sprout/.cpan/sources/authors/id/R/RO/ROCKY/Devel-Trepan-0.50.tar.gz ok Scanning cache /Users/sprout/.cpan/build for sizes ....................................----------------------------------------DONE DEL(1/22): /Users/sprout/.cpan/build/Test-Simple-0.98-vUnkrC ...skipped... DEL(22/22): /Users/sprout/.cpan/build/PadWalker-1.96-zE3k81 x Devel-Trepan-0.50 x Devel-Trepan-0.50/LICENSE ...skipped... x Devel-Trepan-0.50/t/data/display.right x Devel-Trepan-0.50/t/data/break.right CPAN: File::Temp loaded ok (v0.2301) CPAN: Parse::CPAN::Meta loaded ok (v1.4404) CPAN: CPAN::Meta loaded ok (v2.131560) CPAN: Module::CoreList loaded ok (v2.93) CPAN: Module::Build loaded ok (v0.4005) 'YAML' not installed, will not store persistent state CPAN.pm: Building R/RO/ROCKY/Devel-Trepan-0.50.tar.gz Checking prerequisites... requires: ! Array::Columnize is not installed ! File::HomeDir is not installed ! PadWalker is not installed ! Syntax::Highlight::Perl::Improved is not installed ! rlib is not installed build_requires: ! rlib is not installed test_requires: ! rlib is not installed recommends: * B::CodeLines is not installed * Data::Printer is not installed * Devel::Callsite is not installed * Eval::WithLexicals is not installed * Term::ReadKey is not installed * Term::ReadLine::Perl5 is not installed ERRORS/WARNINGS FOUND IN PREREQUISITES. You may wish to install the versions of the modules indicated above before proceeding with this installation Created MYMETA.yml and MYMETA.json Creating new 'Build' script for 'Devel-Trepan' version '0.50'
Show quoted text
---- Unsatisfied dependencies detected during ---- ---- ROCKY/Devel-Trepan-0.50.tar.gz ---- Syntax::Highlight::Perl::Improved [requires] Array::Columnize [requires] PadWalker [requires] File::HomeDir [requires] rlib [requires] Running make for module 'Syntax::Highlight::Perl::Improved' Running make for D/DA/DAVIDCYL/Syntax-Highlight-Perl-Improved-101/Syntax-Highlight-Perl-Improved-1.01.tar.gz Checksum for /Users/sprout/.cpan/sources/authors/id/D/DA/DAVIDCYL/Syntax-Highlight-Perl-Improved-101/Syntax-Highlight-Perl-Improved-1.01.tar.gz ok x Syntax-Highlight-Perl-Improved-1.01/ x Syntax-Highlight-Perl-Improved-1.01/ChangeLog x Syntax-Highlight-Perl-Improved-1.01/INSTALL x Syntax-Highlight-Perl-Improved-1.01/lib/ x Syntax-Highlight-Perl-Improved-1.01/lib/Syntax/ x Syntax-Highlight-Perl-Improved-1.01/lib/Syntax/Highlight/ x Syntax-Highlight-Perl-Improved-1.01/lib/Syntax/Highlight/Perl/ x Syntax-Highlight-Perl-Improved-1.01/lib/Syntax/Highlight/Perl/Improved.pm x Syntax-Highlight-Perl-Improved-1.01/Makefile.PL x Syntax-Highlight-Perl-Improved-1.01/MANIFEST x Syntax-Highlight-Perl-Improved-1.01/README x Syntax-Highlight-Perl-Improved-1.01/viewperl CPAN.pm: Building D/DA/DAVIDCYL/Syntax-Highlight-Perl-Improved-101/Syntax-Highlight-Perl-Improved-1.01.tar.gz Checking if your kit is complete... Looks good Writing Makefile for Syntax::Highlight::Perl::Improved Writing MYMETA.yml and MYMETA.json cp lib/Syntax/Highlight/Perl/Improved.pm blib/lib/Syntax/Highlight/Perl/Improved.pm Manifying blib/man3/Syntax::Highlight::Perl::Improved.3 DAVIDCYL/Syntax-Highlight-Perl-Improved-101/Syntax-Highlight-Perl-Improved-1.01.tar.gz /usr/bin/make -- OK Running make for module 'Array::Columnize' Running make for R/RO/ROCKY/Array-Columnize-1.04.tar.gz Checksum for /Users/sprout/.cpan/sources/authors/id/R/RO/ROCKY/Array-Columnize-1.04.tar.gz ok x Array-Columnize-1.04 x Array-Columnize-1.04/MANIFEST x Array-Columnize-1.04/ChangeLog x Array-Columnize-1.04/Changes x Array-Columnize-1.04/Makefile.PL x Array-Columnize-1.04/META.json x Array-Columnize-1.04/README.md x Array-Columnize-1.04/META.yml x Array-Columnize-1.04/Build.PL x Array-Columnize-1.04/GNUmakefile x Array-Columnize-1.04/SIGNATURE x Array-Columnize-1.04/lib x Array-Columnize-1.04/lib/Array x Array-Columnize-1.04/lib/Array/Columnize.pm x Array-Columnize-1.04/lib/Array/Columnize x Array-Columnize-1.04/lib/Array/Columnize/options.pm x Array-Columnize-1.04/lib/Array/Columnize/columnize.pm x Array-Columnize-1.04/eg x Array-Columnize-1.04/eg/example.pl x Array-Columnize-1.04/t x Array-Columnize-1.04/t/05.longcol.t x Array-Columnize-1.04/t/02.options.t x Array-Columnize-1.04/t/04.columnize.t x Array-Columnize-1.04/t/00.test-pod.t x Array-Columnize-1.04/t/01.version.t x Array-Columnize-1.04/t/03.cell_size.t
---- Unsatisfied dependencies detected during ---- ---- ROCKY/Array-Columnize-1.04.tar.gz ---- rlib [requires] Running make for module 'rlib' Running make for G/GB/GBARR/rlib-0.02.tar.gz Checksum for /Users/sprout/.cpan/sources/authors/id/G/GB/GBARR/rlib-0.02.tar.gz ok x rlib-0.02/ x rlib-0.02/Makefile.PL x rlib-0.02/rlib.pm x rlib-0.02/t/ x rlib-0.02/t/rlib.t x rlib-0.02/README x rlib-0.02/MANIFEST CPAN.pm: Building G/GB/GBARR/rlib-0.02.tar.gz Checking if your kit is complete... Looks good Writing Makefile for rlib Writing MYMETA.yml and MYMETA.json cp rlib.pm blib/lib/rlib.pm Manifying blib/man3/rlib.3 GBARR/rlib-0.02.tar.gz /usr/bin/make -- OK Running make for R/RO/ROCKY/Array-Columnize-1.04.tar.gz
---- Unsatisfied dependencies detected during ---- ---- ROCKY/Array-Columnize-1.04.tar.gz ---- rlib [build_requires] Running make for module 'rlib' Running make for G/GB/GBARR/rlib-0.02.tar.gz Has already been unwrapped into directory /Users/sprout/.cpan/build/rlib-0.02-A1m2GQ Has already been made Running make for R/RO/ROCKY/Array-Columnize-1.04.tar.gz ---- Unsatisfied dependencies detected during ---- ---- ROCKY/Array-Columnize-1.04.tar.gz ---- rlib [build_requires] Running make for module 'rlib' Running make for G/GB/GBARR/rlib-0.02.tar.gz Has already been unwrapped into directory /Users/sprout/.cpan/build/rlib-0.02-A1m2GQ Has already been made Running make for R/RO/ROCKY/Array-Columnize-1.04.tar.gz ---- Unsatisfied dependencies detected during ---- ---- ROCKY/Array-Columnize-1.04.tar.gz ---- rlib [build_requires] Running make for module 'rlib' Running make for G/GB/GBARR/rlib-0.02.tar.gz Has already been unwrapped into directory /Users/sprout/.cpan/build/rlib-0.02-A1m2GQ Has already been made Running make for R/RO/ROCKY/Array-Columnize-1.04.tar.gz ---- Unsatisfied dependencies detected during ---- ---- ROCKY/Array-Columnize-1.04.tar.gz ---- rlib [build_requires] Running make for module 'rlib' Running make for G/GB/GBARR/rlib-0.02.tar.gz Has already been unwrapped into directory /Users/sprout/.cpan/build/rlib-0.02-A1m2GQ Has already been made Running make for R/RO/ROCKY/Array-Columnize-1.04.tar.gz ---- Unsatisfied dependencies detected during ---- ---- ROCKY/Array-Columnize-1.04.tar.gz ---- rlib [build_requires] And it continues on and on.
Sorry I forgot the subject, but RT says I don’t have permission to set it. It should be something like ‘infinite loop with make shell command’.
Thank you! You're the only one who uses 'make', I have a bias to always use 'test'. Tentative fix in repository commit fa1d3087d5246a08741c944768a9732c35c944af where I upgrade the build command from make to test on all build_requires (which include configure_requires).
On 2013-07-14 06:17:00, ANDK wrote:
Show quoted text
> Thank you! You're the only one who uses 'make', I have a bias to > always use 'test'. > > Tentative fix in repository commit > fa1d3087d5246a08741c944768a9732c35c944af where I upgrade the build > command from make to test on all build_requires (which include > configure_requires).
Unfortunately with the latest cpanpm version from github I can still produce an endless loop using 'make'. See the attached typescript (best read with "less -r". Some data points: * perl 5.18.2 RC4 * latest local::lib to be installed * ExtUtils::MakeMaker is not the latest one and required by local::lib as a dependency Regards, Slaven
Subject: typescript

Message body not shown because it is not plain text.

Confirmed. Thanks for the test case. The commit fa1d3087d5246a08741c944768a9732c35c944af survived your case but trunk is now broken again. Unstable trunk, sorry. (See also https://rt.cpan.org/Ticket/Display.html?id=91706)


This service runs on Request Tracker, is sponsored by The Perl Foundation, and maintained by Best Practical Solutions.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.